cache:
  paths:
    - .m2/

variables:
  MAVEN_OPTS: "-Dmaven.repo.local=.m2"


stages:
  - leaks
  - test

##mvn:jdk7:
##  image: maven:3.5.3-jdk-7
##  script:
##    - mvn clean verify -Dgpg.skip
##    - mvn exec:java -Dexec.mainClass="be.cylab.java.wowa.training.Example" -Dexec.args="100 60 10 RWS 110"

include:
  - '.gitleaks.yml'

test:mvn:jdk8:
  stage: test
  image: maven:3.5.3-jdk-8
  script:
    - mvn clean verify -Dgpg.skip
    - mvn exec:java -Dexec.mainClass="be.cylab.java.wowa.training.Example" -Dexec.args="100 60 10 110 RWS RANDOM"


test:mvn:jdk9:
  stage: test
  image: maven:3.5.3-jdk-9
  script:
    - mvn clean verify -Dgpg.skip
    - mvn exec:java -Dexec.mainClass="be.cylab.java.wowa.training.Example" -Dexec.args="100 60 10 110 RWS RANDOM"


test:mvn:jdk10:
  stage: test
  image: maven:3.5.3-jdk-10
  script:
    - mvn clean verify -Dgpg.skip
    - mvn exec:java -Dexec.mainClass="be.cylab.java.wowa.training.Example" -Dexec.args="100 60 10 110 RWS RANDOM"

##mvn:jdk11:
##  image: maven:3.5.3-jdk-11
##  script:
##    - mvn clean verify -Dgpg.skip
##    - mvn exec:java -Dexec.mainClass="be.cylab.java.wowa.training.Example" -Dexec.args="100 60 10 RWS 110"

